# std::atomic< signed char > Struct Template Reference
[Atomics]

Explicit specialization for signed char. More...

Inherits __atomic_schar_base.

List of all members.

## Public Types

- typedef atomic_schar __base_type
- typedef signed char __integral_type

## Public Member Functions

- atomic (__integral_type __i)
- atomic (const atomic &)
- atomic & operator= (const atomic &) volatile

## Public Attributes

- signed char _M_i

## Detailed Description

### template<>
struct std::atomic< signed char >

Explicit specialization for signed char.

Definition at line 261 of file atomic.

The documentation for this struct was generated from the following file:

- atomic